
typedef struct {
  int height, width;
  double temperature[12][100];
} CellData;

extern CellData * initializeCell(int cellPosition, int width, int height);
extern void copyBorder(CellData *data, double *a, int fromLeft);
extern void nextIteration(CellData *data);
extern void fillBorder(CellData *data, double * d, int fromLeft);

